<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">


<xsd:include schemaLocation="obj_reservation.xsd"/>
<xsd:include schemaLocation="obj_ongoing_party.xsd"/>
<xsd:include schemaLocation="common_obj.xsd"/>

	<xsd:element name="CONFERENCE" type="ConferenceContent"/>
	<xsd:element name="DELETED_PARTIES" type="DeletedPartiesContent"/>
	<xsd:element name="CHAIR_ID" type="xsd:integer"/>
	<xsd:element name="AUDIO_SOURCE_ID" type="xsd:integer"/>
	<xsd:element name="LSD_SOURCE_ID" type="xsd:integer"/>
	<xsd:element name="HSD_SOURCE_ID" type="xsd:integer"/>
	<xsd:element name="ONGOING_PARTY_LIST" type="OngoingPartyListContent"/>
	<xsd:element name="EXCLUSIVE_SPEAKER_ID" type="xsd:integer"/>
	<xsd:element name="VOTE" type="VoteContent"/>

	<xsd:element name="RESULTS" type="VoteResultsContent"/>
	<xsd:element name="RESULT" type="xsd:integer"/>
	<xsd:element name="NUM_VOTERS" type="xsd:integer"/>
	<xsd:element name="NUM_OF_CONNECTED_PARTICIPANTS" type="xsd:integer"/>
	<xsd:element name="BEFORE_VOTE" type="xsd:boolean"/>
	<xsd:element name="QA_EXIST" type="xsd:boolean"/>
	<xsd:element name="REMARKS_HISTORY" type="RemarksHistoryContent"/>
	<xsd:element name="QA" type="QAContent"/>
	<xsd:element name="CONF_CHANGE_TYPE" type="ConfChangeType"/>
	<xsd:element name="CURRENT_CASCADE_MODE" type="CascadeRoleType"/>
	<xsd:element name="ACTUAL_LSD_RATE" type="ActualLsdRateType"/>

	<xsd:simpleType name="ActualLsdRateType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="dynamic"/>
			<xsd:enumeration value="4800"/>
			<xsd:enumeration value="6400"/>
			<xsd:enumeration value="none"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:complexType name="DeletedPartiesContent">
		<xsd:sequence>
			<xsd:element ref="PARTY_ID" minOccurs="0" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="OngoingPartyListContent">
		<xsd:sequence>
			<xsd:element ref="ONGOING_PARTY" minOccurs="0" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="VoteContent">
		<xsd:sequence>
			<xsd:element ref="TITLE" minOccurs="0"/>
			<xsd:element ref="START_TIME" minOccurs="0"/>
			<xsd:element ref="CHOICES" minOccurs="0"/>
			<xsd:element ref="ANONYMOUS" minOccurs="0"/>
			<xsd:element ref="NUM_VOTERS" minOccurs="0"/>
			<xsd:element ref="IN_VOTE" minOccurs="0"/>
			<xsd:element ref="BEFORE_VOTE" minOccurs="0"/>
			<xsd:element ref="RESULTS" minOccurs="0"/>
			<xsd:element ref="NUM_OF_CONNECTED_PARTICIPANTS" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="QAContent">
		<xsd:sequence>
			<xsd:element ref="ON"/>
			<xsd:element ref="LIST_SIZE"/>
			<xsd:element ref="CURRENT_ID"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="VoteResultsContent">
		<xsd:sequence>
			<xsd:element ref="RESULT" minOccurs="0" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="RemarksHistoryContent">
		<xsd:sequence>
			<xsd:element ref="REMARK" minOccurs="0" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="ConfChangeType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="not_changed"/>
			<xsd:enumeration value="full_info"/>
			<xsd:enumeration value="fast_info"/>
			<xsd:enumeration value="fast_plus_slow_info"/>
			<xsd:enumeration value="fast_plus_slow1_info"/>
			<xsd:enumeration value="fast_plus_slow1_plus_slow_info"/>
		</xsd:restriction>
	</xsd:simpleType>

	
	<xsd:complexType name="ConferenceContent">
		<xsd:sequence>
			<xsd:element ref="OBJ_TOKEN" minOccurs="0"/>
			<xsd:element ref="CHANGED" minOccurs="0"/>
			<xsd:element ref="RESERVATION" minOccurs="0"/>
			<xsd:element ref="CONF_STATUS"  minOccurs="0"/>
			<xsd:element ref="CHAIR_ID"  minOccurs="0"/>				<!--not supported-->
			<xsd:element ref="AUDIO_SOURCE_ID"  minOccurs="0"/> 
			<xsd:element ref="LSD_SOURCE_ID"  minOccurs="0"/>
			<xsd:element ref="HSD_SOURCE_ID"  minOccurs="0"/>			<!--not supported-->
			<xsd:element ref="DOWNSPEED" minOccurs="0" />				<!--not supported-->
			<xsd:element ref="NUM_CONNECTED_PARTIES" minOccurs="0"/>
			<xsd:element ref="JOIN_CONF_ID" minOccurs="0"/>				<!--not supported-->
			<xsd:element ref="EXCLUSIVE_SPEAKER_ID" minOccurs="0"/>		<!--not supported-->
			<xsd:element ref="SECURE" minOccurs="0"/>					<!--supported from version 2.0.2-->
			<xsd:element ref="REMARKS_HISTORY" minOccurs="0"/>			<!--not supported-->
			<xsd:element ref="VOTE" minOccurs="0"/>						<!--not supported-->
			<xsd:element ref="QA" minOccurs="0"/>						<!--not supported-->
			<xsd:element ref="EPC_CONTENT_SOURCE_ID" minOccurs="0"/>
			<xsd:element ref="CONF_CHANGE_TYPE" minOccurs="0"/>			<!--not supported-->
			<xsd:element ref="CURRENT_CASCADE_MODE" minOccurs="0"/>		<!--not supported-->
			<xsd:element ref="RECORDING_STATUS" minOccurs="0"/>			<!--supported from version 2.0.2-->
			<xsd:element ref="ACTUAL_LSD_RATE" minOccurs="0"/>			<!--not supported-->
			<xsd:element ref="GATEWAY" minOccurs="0"/>					<!--not supported-->
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			<xsd:element ref="ONGOING_PARTY_LIST" minOccurs="0" />
			<xsd:element ref="DELETED_PARTIES" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

</xsd:schema>

